This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 316941 - Packaging breaks PyQt in various ways
Packaging breaks PyQt in various ways
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt4 (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-03 10:48 EDT by Jeremy Sanders
Modified: 2008-06-16 22:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:34:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2007-10-03 10:48:55 EDT
Description of problem:

The qt4 packages breaks the building from source of PyQt4 (from source in
various different ways):

1. QT_SHARED is not defined when programs are compiled with qmake with the
shared libraries. (google for multiple issues about this).

2. There is no default directory in /usr/share/qt4/mkspecs/ so PyQt4 configure
can't find qmake.conf (as it is no longer under QT_DATA_DIR). Why has it been
moved to /usr/lib64/qt4/mkspecs/default? Why are there two directories for these
files?

3. The split of qconfig.h into different parts means that PyQt4 cannot check the
licence of qt (using the definition of QT_EDITION).

I'm not convinced the third is a real issue with the packaging, as PyQt should
probably be not trying to parse the header file.

I think the qt4 package should avoid breakage by fixing the QT_SHARED issue and
not putting the qmake files under /usr/lib64 (which seems a crazy place as it's
nothing to do with a library - is this LSB?).

If the location of the qmake files is not a bug, what is the standard mechanism
for locating them?

Version-Release number of selected component (if applicable):

qt4-4.3.1-3.fc7
Comment 1 Bug Zapper 2008-05-14 10:36:53 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:34:29 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.